PCP2INFLUXDB(1)

NAME
pcp2influxdb - pcp-to-influxdb metrics exporter

SYNOPSIS
pcp2influxdb [-h hostspec] [-a archive] [-L] [-O origin] [-T finish] [-s samples] [-t delta] [-i influxdbaddress] [-u units] [-d database] [-U username] [-P password] [-I tagstring] metricname ...

DESCRIPTION
pcp2influxdb is a PCP metric exporter. It relays metrics of the pmns(5) to a designated InfluxDB database by periodically polling, then copying/converting relevant numerical metrics across the InfluxDB HTTP(S) protocols. Metric values are optionally scaled to a given unit/scale, but are not rate-converted. Metric names are somewhat canonicalized (mangled) to fit the InfluxDB namespace rules.

The data transfer will continue on a best-effort basis until the program is interrupted. Temporary errors are ignored, but reported. Multiple copies of this program may be run in parallel, to populate different InfluxDB databases or subtrees, with different scaling or sampling intervals.

OPTIONS

-h hostspec
    Extract metrics from the specified pmcd(1) daemon, using a host specification as described on PCPIntro(1). The default is local:.

-a archive
    Extract metrics from the given set of archives, which is a comma-separated list of names, each of which may be the base name of an archive or the name of a directory containing one or more archives.

-L  Extract metrics from the local context PCP PMDAs.

-t delta
    Specify the polling interval in seconds. If live, polling is aligned to natural multiples of this interval. The default is 60 seconds.

-O origin
    Set the time origin for archive scanning. The default is the start of the set of archives.

-T finish
    Set the time finish for archive scanning. The default is the end of the set of archives.

-s samples
    Set the maximum number of samples to relay. The default is unlimited.

-i influxdbaddress
    Specify the influxdb HTTP(S) address where the relayed data is to be relayed. The default is http://localhost:8086.

-u units
    Rescale the metrics to the given UNITS string, as parsed by the pmParseUnitsStr(3) function. This must be dimensionally consistent with the underlying PCP metric. The default is to perform no scaling.

-d database
    The name of the database to write to. Must exist already; will not be created. Defaults to "pcp".

-U username
    The username to use to authenticate to InfluxDB. Must have write access on the database that metrics are written to.

-P password
    The password to use to authenticate to InfluxDB that goes with the given username.

-I tagstring
    A string of tags, in InfluxDB's format (i.e. host=www.example.com,gpu=tesla). Not required, but recommended to be enable richer querying and dashboard creation.

metricname
    Relay all numeric metrics nested at or below the given name in the PMNS. This option may be repeated. This is a compulsory option, having no default.

SEE ALSO
PCPIntro(1), pmcd(1), pmParseUnitsStr(3), https://influxdata.com/time-series-platform/influxdb/, pmmgr(1), pmval(1), PMAPI(3), pcp.conf(5) and pmns(5).